Problème d'installation de freshRSS sur une debian 6.3 et php5

fr
install

#1

Hello,
pas trouvé un soucis similaire dans le forum mais punissez moi si ca existe pas de pb.

Configuration de mon YunoHost

Matériel: x64 vps
Accès Internet: dans un datacenter
YunoHost version:
yunohost: 2.7.14.5 (stable)
yunohost-admin: 2.7.14
moulinette: 2.7.14
ssowat: 2.7.14
PHP: 5.6.38-0

Description de mon problème

Je veux installer freshRSS sur mon instance.
Je passe par la commande :
yunohost app install https://github.com/YunoHost-Apps/freshrss_ynh

Le retour du terminal :
Domaines disponibles :

  • ____.com
    Choisissez un domaine pour FreshRSS (default: _____.com) :
    Choisissez un chemin pour FreshRSS (default: /rss) :
    Choisissez l’utilisateur par defaut : charly
    Attention : FreshRSS install…
    Attention : Result: success
    Attention : PHP Warning: touch(): Unable to create file /tmp/tmp.lCitQskMAu/data/users/charly/log.txt because No such file or directory in /tmp/tmp.lCitQskMAu/lib/lib_rss.php on line 295
    Attention : Result: success
    Attention : PHP Warning: touch(): Unable to create file /tmp/tmp.lCitQskMAu/data/users/charly/log.txt because No such file or directory in /tmp/tmp.lCitQskMAu/lib/lib_rss.php on line 295
    Attention : Result: success
    Attention : PHP Warning: touch(): Unable to create file /tmp/tmp.lCitQskMAu/data/users/charly/log.txt because No such file or directory in /tmp/tmp.lCitQskMAu/lib/lib_rss.php on line 295
    Attention : Result: success
    Attention : PHP Warning: touch(): Unable to create file /tmp/tmp.lCitQskMAu/data/users/charly/log.txt because No such file or directory in /tmp/tmp.lCitQskMAu/lib/lib_rss.php on line 295
    Attention : Result: success
    Attention : Result: success
    Attention : Result: success
    Attention : Result: success
    Attention : Result: success
    Attention : Result: success
    Attention : Result: success
    Attention : cp: impossible de créer le fichier standard « /etc/php/7.0/fpm/pool.d/freshrss.conf »: Aucun fichier ou dossier de ce type
    Attention : !!
    Attention : freshrss’s script has encountered an error. Its execution was cancelled.
    Attention : !!
    Attention :
    Attention : php7.0-fpm: unrecognized service
    Attention : !!
    Attention : freshrss’s script has encountered an error. Its execution was cancelled.
    Attention : !!
    Attention :
    Attention : freshrss n’a pas été supprimé correctement
    Succès ! La configuration de SSOwat a été générée
    Erreur : Échec de l’installation

Evidemment je pense que le problème vient du impossible de créer le fichier standard « /etc/php/7.0/fpm/pool.d/freshrss.conf »

Mon serveur fait tourner du php5.6. je suis étonné de voir qu’il me parle du 7.0.

Merci de votre éventuelle aide.

Charly


#2

Il te faut probablement être sur YunoHost 3.x pour utiliser cette app (malgré se qui est déclaré dans son manifest.json)


#3

Si c’est le cas, c’est regrettable de jeter les anciennes versions.
J’aimerai contourner ce problème avant de devoir dist-upgrade, pas du tout envie pour le moment.


#4

Il faut bien “jeter” les anciennes version à un moment où un autre … Jessie est deja “OldStable” depuis un an et demi, sachant que c’est deja parfois compliqué de packager des apps pour Debian Stable (regulièrement les développeurs d’apps ont tendance à vouloir utiliser / avoir besoin de dépendances récentes, non diponibles dans Debian Stable…)

Je sais bien que le saut de version fait peur, mais il faut aussi voir que ça s’est bien passé pour pleins de personnes, et que attendre ne simplifiera pas les choses (au contraire). Mais je me doute bien que d’ici à ce que Buster arrive, on aura encore des utilisateurs sous Jessie :confused: